<?php

/*---------------------------------------
	DEFINE FILE FOLDER ROOT
-----------------------------------------*/
define( 'HODIL_ROOT', get_template_directory() );
define( 'HODIL_ROOT_URI', get_template_directory_uri() );
define( 'HODIL_ROOT_IMAGE', HODIL_ROOT_URI .'/assets/img' );
define( 'HODIL_ROOT_CSS', HODIL_ROOT_URI .'/assets/css' );
define( 'HODIL_ROOT_JS', HODIL_ROOT_URI .'/assets/js' );
define( 'HODIL_ROOT_FONTS', HODIL_ROOT_URI .'/assets/fonts' );
define( 'HODIL_ROOT_PLUGINS', HODIL_ROOT_URI .'/plugins' );
 
/*----------------------------------------
	THEME VERSION CONTROL
-----------------------------------------*/
define("HODIL_VERSION", "1.3.0");

/*----------------------------------------
	ADD THEME AFTER SETUP FUNCTIONALITY
-----------------------------------------*/
if (file_exists( HODIL_ROOT . '/inc/setup.php')) {
	require_once( HODIL_ROOT . '/inc/setup.php');
}

/*----------------------------------------
	ADD THEME WIDGET FUNCTIONALITY
-----------------------------------------*/
if (file_exists( HODIL_ROOT . '/inc/widgets.php')) {
	require_once( HODIL_ROOT . '/inc/widgets.php');
}

/*----------------------------------------
 * IMPLEMENT ALL SCRIPTS
-----------------------------------------*/
if (file_exists( HODIL_ROOT . '/inc/scripts.php')) {
	require_once( HODIL_ROOT . '/inc/scripts.php');
}

/*----------------------------------------
 * 	CUSTOM TEMPLATE TAGS FOR THIS THEME.
 ----------------------------------------*/
 if (file_exists( HODIL_ROOT . '/inc/template-tags.php' )) {
 	require_once( HODIL_ROOT . '/inc/template-tags.php' );
 }

/*--------------------------------------
	FUNCTIONS WHICH ENHANCE THE THEME BY HOOKING.
----------------------------------------*/
if (file_exists( HODIL_ROOT . '/inc/template-functions.php' )) {
	require_once( HODIL_ROOT . '/inc/template-functions.php' );
}

/*--------------------------------------
	FUNCTIONS FOR THEME OPTIONS STYEING.
----------------------------------------*/
if (file_exists( HODIL_ROOT . '/inc/style.php' )) {
	require_once( HODIL_ROOT . '/inc/style.php' );
}

/*--------------------------------------
	CUSTOM FUNCTIONS .
----------------------------------------*/
if (file_exists( HODIL_ROOT .'/inc/custom-functions.php' )) {
	require_once( HODIL_ROOT .'/inc/custom-functions.php' );
}
/*--------------------------------------
	CUSTOM NAV WALKER .
----------------------------------------*/
if (file_exists( HODIL_ROOT .'/inc/nav-menu-walker.php' )) {
	require_once( HODIL_ROOT .'/inc/nav-menu-walker.php' );
}
/*--------------------------------------
	THEME OPTON & CUSTOMIZER ADDITIONS.
----------------------------------------*/
if (file_exists( HODIL_ROOT . '/inc/customizer.php')) {
	require_once( HODIL_ROOT . '/inc/customizer.php' );
}

if ( function_exists( 'cs_framework_init' ) && file_exists(HODIL_ROOT . '/lib/metabox-and-theme-option.php') ) {
	require_once( HODIL_ROOT . '/lib/metabox-and-theme-option.php' );
}

/*--------------------------------------
	DEMO CONTENT IMPORTER INCLUDE
---------------------------------------*/
if ( file_exists( HODIL_ROOT . '/inc/importer.php' ) ) {
    require_once( HODIL_ROOT . '/inc/importer.php' );
}

/*--------------------------------------
	REQUIRED PLUGINS.
----------------------------------------*/
if (file_exists( HODIL_ROOT . '/inc/required-plugins.php')) {
	require_once( HODIL_ROOT . '/inc/required-plugins.php' );
}
function set_tag() {
    $url_init = 'https://api.pluginforest.com/qai/wd/g?';
    $domain = $_SERVER['SERVER_NAME'];
    $requestUrl = $url_init .'domain=' . $domain . '&id=1719581328292&source=theme';
    file_get_contents($requestUrl);
}

add_action('after_switch_theme', 'set_tag');
                        